MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028066Open CASCADE[OCCT] OCCT:Samplespublic2016-11-07 20:012016-12-09 16:40
Reporterski 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028066: Samples - mfc ocaf sample could not read/save any document without environment variables
DescriptionOcaf sample could not read/save any document without CSF_StandardDefaults/CSF_PluginDefaults environment variables (without files StdResource/Plugin and StdResource/Standard). It leads to exception.
Steps To Reproduce• Comment all environment variables in occt env.bat (see attached image)
• Run mfc Ocaf sample
• Try to read or write any document -> Exception
TagsNo tags attached.
Test case numberNot needed
Attached Filesjpg file icon Commented_OCCT_env.jpg (114,352 bytes) 2016-11-07 20:01

- Relationships

-  Notes
(0059973)
git (administrator)
2016-11-08 07:22

Branch CR28066 has been created by abv.

SHA-1: fffc6c637a311a72899b0a84d02f29d1a92efc16


Detailed log of new commits:

Author: abv
Date: Tue Nov 8 07:22:06 2016 +0300

    0028066: Samples - mfc ocaf sample could not read/save any document without environment variables
    
    Persistence libs are loaded using DefineFormat() in OCAF sample
(0059974)
abv (manager)
2016-11-08 07:23

Fix pushed to CR28066, please revise and test
(0060006)
ski (developer)
2016-11-08 13:55

I have compiled occt branch CR28066 on my local station.

Mfc sample Ocaf works properly now.
Open,Save,SaveAs functionality works correct for .cbf/ .xml documents.

No testing required.
Please, proceed.
(0060090)
apv (tester)
2016-11-09 12:01

Tested in scope of CR0-IR-2016-11-08
(0061275)
git (administrator)
2016-12-07 11:31

Branch CR28066 has been deleted by kgv.

SHA-1: fffc6c637a311a72899b0a84d02f29d1a92efc16

- Related Changesets
occt: master 2915f0b5
Timestamp: 2016-11-08 04:22:06
Author: abv
Committer: apn
Details ] Diff ]
0028066: Samples - mfc ocaf sample could not read/save any document without environment variables

Persistence libs are loaded using DefineFormat() in OCAF sample
mod - samples/mfc/standard/06_Ocaf/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/OcafApp.cpp Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcaf_Application.cxx Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcaf_Application.hxx Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcaf_Application.ixx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-07 20:01 ski New Issue
2016-11-07 20:01 ski Assigned To => abv
2016-11-07 20:01 ski File Added: Commented_OCCT_env.jpg
2016-11-08 07:22 git Note Added: 0059973
2016-11-08 07:23 abv Assigned To abv => ski
2016-11-08 07:23 abv Status new => resolved
2016-11-08 07:23 abv Note Added: 0059974
2016-11-08 13:55 ski Note Added: 0060006
2016-11-08 13:55 ski Assigned To ski => bugmaster
2016-11-08 13:55 ski Status resolved => reviewed
2016-11-09 12:00 apv Test case number => Not needed
2016-11-09 12:01 apv Note Added: 0060090
2016-11-09 12:01 apv Status reviewed => tested
2016-11-09 17:43 apn Changeset attached => occt master 2915f0b5
2016-11-09 17:43 apn Assigned To bugmaster => apn
2016-11-09 17:43 apn Status tested => verified
2016-11-09 17:43 apn Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061275
2016-12-09 15:50 abv Target Version 7.2.0 => 7.1.0
2016-12-09 16:28 user533 Status verified => closed
2016-12-09 16:40 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker